## acr38 1.7.6

=== Makefile ===
# Makefile.in generated by automake 1.9.4 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# acr38Driver automake information file
# Copyright (c) 1994 - 2005 Advanced Card Systems Ltd
# All rights reserved.
#
# Process this file with automake to produce a Makefile.in script.
srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/acr38udriver
pkglibdir = $(libdir)/acr38udriver
pkgincludedir = $(includedir)/acr38udriver
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/ginstall -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
	build/compile build/config.guess build/config.sub \
	build/depcomp build/install-sh build/ltmain.sh build/missing
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno configure.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-exec-recursive install-info-recursive \
	install-recursive installcheck-recursive installdirs-recursive \
	pdf-recursive ps-recursive uninstall-info-recursive \
	uninstall-recursive
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run autoconf
AUTOHEADER = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run autoheader
AUTOMAKE = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run automake-1.9
AWK = gawk
BUNDLE_HOST = Linux
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -pthread -I/home/edward/local_host/include/PCSC   -Wall
COREFOUNDATION = 
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DYN_LIB_EXT = so
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = g77
FFLAGS = -g -O2
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
IOKIT = 
LDFLAGS = 
LIBOBJS = 
LIBPCSCLITE = -L/home/edward/local_host/lib -lpcsclite  
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run makeinfo
NEED_PARSER_FALSE = 
NEED_PARSER_TRUE = #
OBJEXT = o
PACKAGE = acr38udriver
PACKAGE_BUGREPORT = edward.cheung@acs.com.hk
PACKAGE_NAME = ACR38UDriver
PACKAGE_STRING = ACR38UDriver 1.0.7.5
PACKAGE_TARNAME = acr38udriver
PACKAGE_VERSION = 1.0.7.5
PATH_SEPARATOR = :
PKGCONFIG = yes
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 1.0.7.5
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = g77
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /home/edward/local_host
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
usbdropdir = /home/edward/local_host/pcsc/drivers

# -- Top-level Makefile.am --
SUBDIRS = src/controllib src/driver
all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
am--refresh:
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
	      cd $(srcdir) && $(AUTOMAKE) --gnu  \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h
$(srcdir)/config.h.in:  $(am__configure_deps) 
	cd $(top_srcdir) && $(AUTOHEADER)
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	$(am__remove_distdir)
	mkdir $(distdir)
	$(mkdir_p) $(distdir)/build $(distdir)/src/controllib
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \

=== src/controllib/Makefile ===
# Makefile.in generated by automake 1.9.4 from Makefile.am.
# src/controllib/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# acr38Driver automake information file
# Copyright (c) 1994 - 2005 Advanced Card Systems Ltd
# All rights reserved.
#
# Process this file with automake to produce a Makefile.in script.



SOURCES = $(libacr38ucontrol_la_SOURCES)

srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/acr38udriver
pkglibdir = $(libdir)/acr38udriver
pkgincludedir = $(includedir)/acr38udriver
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/ginstall -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
subdir = src/controllib
DIST_COMMON = $(include_HEADERS) $(noinst_HEADERS) \
	$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(srcdir)/libacr38ucontrol.pc.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES = libacr38ucontrol.pc
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(pcdir)" \
	"$(DESTDIR)$(includedir)"
libLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(lib_LTLIBRARIES)
libacr38ucontrol_la_LIBADD =
am__objects_1 = libacr38ucontrol_la-ACS38DrvTools.lo
am_libacr38ucontrol_la_OBJECTS = $(am__objects_1)
libacr38ucontrol_la_OBJECTS = $(am_libacr38ucontrol_la_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/build/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libacr38ucontrol_la_SOURCES)
DIST_SOURCES = $(libacr38ucontrol_la_SOURCES)
pcDATA_INSTALL = $(INSTALL_DATA)
DATA = $(pc_DATA)
includeHEADERS_INSTALL = $(INSTALL_HEADER)
HEADERS = $(include_HEADERS) $(noinst_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run autoconf
AUTOHEADER = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run autoheader
AUTOMAKE = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run automake-1.9
AWK = gawk
BUNDLE_HOST = Linux
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -pthread -I/home/edward/local_host/include/PCSC   -Wall
COREFOUNDATION = 
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DYN_LIB_EXT = so
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = g77
FFLAGS = -g -O2
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
IOKIT = 
LDFLAGS = 
LIBOBJS = 
LIBPCSCLITE = -L/home/edward/local_host/lib -lpcsclite  
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run makeinfo
NEED_PARSER_FALSE = 
NEED_PARSER_TRUE = #
OBJEXT = o
PACKAGE = acr38udriver
PACKAGE_BUGREPORT = edward.cheung@acs.com.hk
PACKAGE_NAME = ACR38UDriver
PACKAGE_STRING = ACR38UDriver 1.0.7.5
PACKAGE_TARNAME = acr38udriver
PACKAGE_VERSION = 1.0.7.5
PATH_SEPARATOR = :
PKGCONFIG = yes
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 1.0.7.5
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = g77
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /home/edward/local_host
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
usbdropdir = /home/edward/local_host/pcsc/drivers
ACR38_CONTROLLIB = libacr38ucontrol.$(DYN_LIB_EXT)
AM_CPPFLAGS = -I../driver `pkg-config libpcsclite --cflags` 
lib_LTLIBRARIES = libacr38ucontrol.la
include_HEADERS = ACS38DrvTools.h
noinst_HEADERS = ../driver/ACR38IOCtrl.h
SRC_CONTROLLIB = ACS38DrvTools.c		\
				 ACS38DrvTools.h

libacr38ucontrol_la_SOURCES = $(SRC_CONTROLLIB)
libacr38ucontrol_la_CFLAGS = `pkg-config libpcsclite --cflags`

#pcdir= $(PKG_PCSC_CONFIG_PATH)
pcdir = /home/edward/local_host/lib/pkgconfig
pc_DATA = libacr38ucontrol.pc
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/controllib/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  src/controllib/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
libacr38ucontrol.pc: $(top_builddir)/config.status $(srcdir)/libacr38ucontrol.pc.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	test -z "$(libdir)" || $(mkdir_p) "$(DESTDIR)$(libdir)"
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f=$(am__strip_dir) \
	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(libdir)/$$f'"; \
	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(libdir)/$$f"; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@set -x; list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  p=$(am__strip_dir) \
	  echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$p'"; \
	  $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$p"; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libacr38ucontrol.la: $(libacr38ucontrol_la_OBJECTS) $(libacr38ucontrol_la_DEPENDENCIES) 
	$(LINK) -rpath $(libdir) $(libacr38ucontrol_la_LDFLAGS) $(libacr38ucontrol_la_OBJECTS) $(libacr38ucontrol_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/libacr38ucontrol_la-ACS38DrvTools.Plo

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ $<

libacr38ucontrol_la-ACS38DrvTools.lo: ACS38DrvTools.c
	if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libacr38ucontrol_la_CFLAGS) $(CFLAGS) -MT libacr38ucontrol_la-ACS38DrvTools.lo -MD -MP -MF "$(DEPDIR)/libacr38ucontrol_la-ACS38DrvTools.Tpo" -c -o libacr38ucontrol_la-ACS38DrvTools.lo `test -f 'ACS38DrvTools.c' || echo '$(srcdir)/'`ACS38DrvTools.c; \
	then mv -f "$(DEPDIR)/libacr38ucontrol_la-ACS38DrvTools.Tpo" "$(DEPDIR)/libacr38ucontrol_la-ACS38DrvTools.Plo"; else rm -f "$(DEPDIR)/libacr38ucontrol_la-ACS38DrvTools.Tpo"; exit 1; fi
#	source='ACS38DrvTools.c' object='libacr38ucontrol_la-ACS38DrvTools.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libacr38ucontrol_la_CFLAGS) $(CFLAGS) -c -o libacr38ucontrol_la-ACS38DrvTools.lo `test -f 'ACS38DrvTools.c' || echo '$(srcdir)/'`ACS38DrvTools.c

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
install-pcDATA: $(pc_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(pcdir)" || $(mkdir_p) "$(DESTDIR)$(pcdir)"
	@list='$(pc_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(pcDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(pcdir)/$$f'"; \
	  $(pcDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(pcdir)/$$f"; \
	done

uninstall-pcDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(pc_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \

=== src/driver/Makefile ===
# Makefile.in generated by automake 1.9.4 from Makefile.am.
# src/driver/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# acr38Driver automake information file
# Copyright (c) 1994 - 2005 Advanced Card Systems Ltd
# All rights reserved.
#
# Process this file with automake to produce a Makefile.in script.

SOURCES = $(libACR38UDriver_la_SOURCES)

srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/acr38udriver
pkglibdir = $(libdir)/acr38udriver
pkgincludedir = $(includedir)/acr38udriver
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/ginstall -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
subdir = src/driver
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(libdir)"
libLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(lib_LTLIBRARIES)
libACR38UDriver_la_DEPENDENCIES =
am__objects_1 = AdmHndlr.lo ctapi.lo MCU_ATR.lo SysConfig.lo \
	usbserial_linux.lo ifdhandler.lo T0Hndlr.lo T1Hndlr.lo
am__objects_2 = usblinux.lo
am_libACR38UDriver_la_OBJECTS = $(am__objects_1) $(am__objects_2)
libACR38UDriver_la_OBJECTS = $(am_libACR38UDriver_la_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/build/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libACR38UDriver_la_SOURCES)
DIST_SOURCES = $(libACR38UDriver_la_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run autoconf
AUTOHEADER = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run autoheader
AUTOMAKE = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run automake-1.9
AWK = gawk
BUNDLE_HOST = Linux
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -pthread -I/home/edward/local_host/include/PCSC   -Wall
COREFOUNDATION = 
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DYN_LIB_EXT = so
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = g77
FFLAGS = -g -O2
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
IOKIT = 
LDFLAGS = 
LIBOBJS = 
LIBPCSCLITE = -L/home/edward/local_host/lib -lpcsclite  
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run makeinfo
NEED_PARSER_FALSE = 
NEED_PARSER_TRUE = #
OBJEXT = o
PACKAGE = acr38udriver
PACKAGE_BUGREPORT = edward.cheung@acs.com.hk
PACKAGE_NAME = ACR38UDriver
PACKAGE_STRING = ACR38UDriver 1.0.7.5
PACKAGE_TARNAME = acr38udriver
PACKAGE_VERSION = 1.0.7.5
PATH_SEPARATOR = :
PKGCONFIG = yes
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 1.0.7.5
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = g77
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /home/edward/local_host
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
usbdropdir = /home/edward/local_host/pcsc/drivers
DRIVER_NAME = ACR38UDriver
DRIVER_LIB_NAME = lib$(DRIVER_NAME).$(DYN_LIB_EXT)
DRIVER_BUNDLE_DIR = $(DRIVER_NAME).bundle
DRIVER_INSTALL_HOME_DIR = pcsc/drivers/$(DRIVER_LIB_NAME).bundle/Contents/Linux
AM_CPPFLAGS = `pkg-config libpcsclite --cflags`
EXTRA_DIST = Info.plist
lib_LTLIBRARIES = libACR38UDriver.la
SRC_DRV = ACR38IOCtrl.h		\
		AdmHndlr.c			\
		ctapi.c				\
		ctapi.h				\
		MCU_ATR.c			\
		SysConfig.c			\
		usbserial_linux.c	\
		usbserial_linux.h	\
		AdmHndlr.h			\
		MCU_ATR.h			\
		ATR.h				\
		ifdhandler.c		\
		ifdhandler.h		\
		pcscdefines.h		\
		T0Hndlr.c			\
		T0Hndlr.h			\
		T1Hndlr.c			\
		T1Hndlr.h

SRC_USB = usblinux.c		\
		usblinux.h

libACR38UDriver_la_SOURCES = $(SRC_DRV) $(SRC_USB)
libACR38UDriver_la_LIBADD = -L/home/edward/local_host/lib -lpcsclite    
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/driver/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  src/driver/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	test -z "$(libdir)" || $(mkdir_p) "$(DESTDIR)$(libdir)"
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f=$(am__strip_dir) \
	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(libdir)/$$f'"; \
	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(libdir)/$$f"; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@set -x; list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  p=$(am__strip_dir) \
	  echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$p'"; \
	  $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$p"; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libACR38UDriver.la: $(libACR38UDriver_la_OBJECTS) $(libACR38UDriver_la_DEPENDENCIES) 
	$(LINK) -rpath $(libdir) $(libACR38UDriver_la_LDFLAGS) $(libACR38UDriver_la_OBJECTS) $(libACR38UDriver_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/AdmHndlr.Plo
include ./$(DEPDIR)/MCU_ATR.Plo
include ./$(DEPDIR)/SysConfig.Plo
include ./$(DEPDIR)/T0Hndlr.Plo
include ./$(DEPDIR)/T1Hndlr.Plo
include ./$(DEPDIR)/ctapi.Plo
include ./$(DEPDIR)/ifdhandler.Plo
include ./$(DEPDIR)/usblinux.Plo
include ./$(DEPDIR)/usbserial_linux.Plo

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \

## acr38 1.7.9

=== Makefile ===
--- 
+++ 
@@ -78,14 +78,14 @@
 GZIP_ENV = --best
 distuninstallcheck_listfiles = find . -type f -print
 distcleancheck_listfiles = find . -type f -print
-ACLOCAL = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run aclocal-1.9
+ACLOCAL = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100709_P/build/missing --run aclocal-1.9
 AMDEP_FALSE = #
 AMDEP_TRUE = 
-AMTAR = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run tar
+AMTAR = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100709_P/build/missing --run tar
 AR = ar
-AUTOCONF = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run automake-1.9
+AUTOCONF = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100709_P/build/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100709_P/build/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100709_P/build/missing --run automake-1.9
 AWK = gawk
 BUNDLE_HOST = Linux
 CC = gcc
@@ -122,7 +122,7 @@
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
 LN_S = ln -s
 LTLIBOBJS = 
-MAKEINFO = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run makeinfo
+MAKEINFO = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100709_P/build/missing --run makeinfo
 NEED_PARSER_FALSE = 
 NEED_PARSER_TRUE = #
 OBJEXT = o
@@ -169,7 +169,7 @@
 host_vendor = pc
 includedir = ${prefix}/include
 infodir = ${prefix}/info
-install_sh = /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/install-sh
+install_sh = /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100709_P/build/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localstatedir = ${prefix}/var

=== src/controllib/Makefile ===
--- 
+++ 
@@ -91,14 +91,14 @@
 ETAGS = etags
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run aclocal-1.9
+ACLOCAL = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100709_P/build/missing --run aclocal-1.9
 AMDEP_FALSE = #
 AMDEP_TRUE = 
-AMTAR = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run tar
+AMTAR = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100709_P/build/missing --run tar
 AR = ar
-AUTOCONF = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run automake-1.9
+AUTOCONF = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100709_P/build/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100709_P/build/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100709_P/build/missing --run automake-1.9
 AWK = gawk
 BUNDLE_HOST = Linux
 CC = gcc
@@ -135,7 +135,7 @@
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
 LN_S = ln -s
 LTLIBOBJS = 
-MAKEINFO = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run makeinfo
+MAKEINFO = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100709_P/build/missing --run makeinfo
 NEED_PARSER_FALSE = 
 NEED_PARSER_TRUE = #
 OBJEXT = o
@@ -182,7 +182,7 @@
 host_vendor = pc
 includedir = ${prefix}/include
 infodir = ${prefix}/info
-install_sh = /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/install-sh
+install_sh = /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100709_P/build/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localstatedir = ${prefix}/var

=== src/driver/Makefile ===
--- 
+++ 
@@ -84,14 +84,14 @@
 ETAGS = etags
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run aclocal-1.9
+ACLOCAL = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100709_P/build/missing --run aclocal-1.9
 AMDEP_FALSE = #
 AMDEP_TRUE = 
-AMTAR = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run tar
+AMTAR = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100709_P/build/missing --run tar
 AR = ar
-AUTOCONF = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run automake-1.9
+AUTOCONF = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100709_P/build/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100709_P/build/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100709_P/build/missing --run automake-1.9
 AWK = gawk
 BUNDLE_HOST = Linux
 CC = gcc
@@ -128,7 +128,7 @@
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
 LN_S = ln -s
 LTLIBOBJS = 
-MAKEINFO = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/missing --run makeinfo
+MAKEINFO = ${SHELL} /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100709_P/build/missing --run makeinfo
 NEED_PARSER_FALSE = 
 NEED_PARSER_TRUE = #
 OBJEXT = o
@@ -175,7 +175,7 @@
 host_vendor = pc
 includedir = ${prefix}/include
 infodir = ${prefix}/info
-install_sh = /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100706_P/build/install-sh
+install_sh = /home/edward/work/pcsc/drivers/ACR38/ACR38_LINUX_100709_P/build/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localstatedir = ${prefix}/var

## acr38 1.7.10

=== debian/changelog ===
acr38 (1.7.10-2) unstable; urgency=low

  * debian/libacr38ucontrol-dev.install: Don't ship .la file anymore
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/rules:
    - Use autoreconf.mk instead of old cdbs way
  * debian/control:
    - Build-dep against dh-autoreconf instead of autoconf/make
    - Bump Standards-Version to 3.9.1 (no further changes)
  * debian/libacr38u.udev: Add udev rules to add device to pcscd group

 -- Laurent Bigonville <bigon@debian.org>  Tue, 29 Mar 2011 22:36:09 +0200

acr38 (1.7.10-1) unstable; urgency=low

  * New upstream release:
    - Add libusb-dev to build-deps
    - Update patches
  * debian/control:
    - Fix libpcsclite-dev minimal version
    - Bump Standards-Version to 3.8.3
  * Bump automake version to 1.11
  * debian/patches/0005-Remove-dont-build-old-USB-stack.patch:
    Do not compile USB stack used before libusb.
  * Remove debian/source.lintian-overrides: Not needed anymore
  * Add libacr38ucontrol0.symbols file

 -- Laurent Bigonville <bigon@debian.org>  Thu, 15 Oct 2009 11:29:12 +0200

acr38 (1.7.9+pristine-1) unstable; urgency=low

  * Get rid of the tarball-in-tarball thing
    - Remove unneccesary distclean rule
  * debian/control:
    - Use new Homepage field instead of old pseudo-field
    - Use now official Vcs-* field
    - Bump Standards-Version to 3.8.1 (no further changes)
    - Make the libacr38ucontrol0 description more understandable.
    - Use my debian.org address in Maintainer
    - Add ${misc:Depends} to libacr38ucontrol-dev to please lintian
    - Cleanup duplicates sections to please lintian
  * debian/copyright: Fix copyright information
  * Rebuild autofoo scripts at build time to prevent FTBFS (Closes: #527813)
  * Bump debhelper version to 7
  * Move packaging to git
    - Add gbp.conf (for git-buildpackage) and `debian/rules update-patches`
      target
  * Regenerate patches

 -- Laurent Bigonville <bigon@debian.org>  Tue, 12 May 2009 16:27:47 +0200

acr38 (1.7.9-3) unstable; urgency=low

  * debian/control:
    - Add XS-Vcs informations.
    - Add Homepage field.
    - Use ${binary:Version} for versionized dependencies
        (Thanks to Lior Kaplan <kaplan@debian.org>) (Closes: #430475)

 -- Laurent Bigonville <bigon@bigon.be>  Fri, 27 Jul 2007 03:26:37 +0200

acr38 (1.7.9-2) unstable; urgency=low

  * Call restart instead of restart-if-running for restarting pcscd since it
    disapears without warning.

 -- Laurent Bigonville <bigon@bigon.be>  Wed, 28 Feb 2007 15:59:32 +0100

acr38 (1.7.9-1) unstable; urgency=low

  * New upstream release.
    - Fix usbfs patch.

 -- Laurent Bigonville <bigon@bigon.be>  Fri, 27 Oct 2006 16:14:52 +0200

acr38 (1.7.6-3) unstable; urgency=low

  * src/driver/usblinux.c: Add some code from libusb to auto-detect usbfs path.

 -- Laurent Bigonville <bigon@bigon.be>  Thu, 20 Jul 2006 12:25:27 +0200

acr38 (1.7.6-2) unstable; urgency=low

  * debian/patches/01controlmake.diff: link libacr38ucontrol0 against libpcsclite.
  * debian/control: Remove the version for the pcscd dependency.

 -- Laurent Bigonville <bigon@bigon.be>  Thu,  6 Jul 2006 17:16:16 +0200

acr38 (1.7.6-1) unstable; urgency=low

  * Initial release. (Closes: #355415)

 -- Laurent Bigonville <bigon@bigon.be>  Sat, 27 May 2006 17:40:08 +0200

=== debian/control ===
Source: acr38
Section: misc
Priority: extra
Maintainer: Laurent Bigonville <bigon@debian.org>
Build-Depends: cdbs,
               debhelper (>= 7),
               dh-autoreconf,
               libpcsclite-dev (>= 1.2.0),
               libusb-dev (>= 0.1.12),
               pkg-config
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/collab-maint/acr38.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/acr38.git
Homepage: http://www.acs.com.hk/

Package: libacr38u
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: pcscd
Provides: pcsc-ifd-handler
Description: PC/SC driver for the ACR38U smart card reader
 This library provides a PC/SC IFD handler implementation for the ACS
 ACR38U smart card readers. This driver is for the non-CCID version only.
 .
 This package is needed to communicate with the ACR38U smartcard
 readers through the PC/SC Lite resource manager (pcscd).

Package: libacr38ucontrol0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libacr38u (= ${binary:Version})
Description: Library for operational mode for ACR38U smartcard reader
 This library sets the operational mode for a ACR38U
 smartcard reader to either processor or memory card.

Package: libacr38ucontrol-dev
Section: libdevel
Architecture: any
Depends: libacr38ucontrol0 (= ${binary:Version}), libpcsclite-dev, ${misc:Depends}
Description: Library for operational mode for ACR38U smartcard reader dev files
 This library sets the operational mode for a ACR38U
 smartcard reader to either processor or memory card.
 .
 This package contains development files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_DH_MAKESHLIBS_ARGS_libacr38u := -n
DEB_DH_INSTALLUDEV_ARGS := --priority=92

binary-install/libacr38u::
	chmod 644 debian/libacr38u/usr/lib/pcsc/drivers/ACR38UDriver.bundle/Contents/Info.plist

include $(CURDIR)/debian/update-patches.mk
